spack:
  specs:
    # Notebook
    #- py-jupyter
    - py-ipython
    - py-ipykernel
    - py-notebook
    - py-ipycanvas
    # Collab utils
    - clb-nb-utils@0.1.0
    # General
    - py-pip
    - py-numpy
    - py-scipy
    - py-pandas
    - py-seaborn
    - py-matplotlib
    - py-nameparser
    - py-lazyarray
    #- py-version-query
    # EBRAINS simulators
    - nest@3.3 +python +gsl +mpi
    - arbor@0.8 +python +mpi
    - neuron +mpi
    - py-pynn@0.10.1 +mpi
    - py-brian2
    - tvb-data
    - tvb-library ^py-numba@0.54.0 ^binutils+ld+gold
    - tvb-storage ^binutils+ld+gold
    - py-pyaescrypt
    - py-formencode
    - tvb-framework ^binutils+ld+gold
    - pynn-brainscales@4.0-a3 ^log4cxx@0.10.0 ^googletest@1.11.0:+gmock
    - hxtorch@4.0-a3 ^log4cxx@0.10.0 ^googletest@1.11.0:+gmock
    - py-neo
    - py-hdmf
    - py-pynwb
    - py-nixio
    #- py-cerebstats
    #- py-cerebunit
    - py-cerebrus
    - py-sciunit@0.2.5.1
    - py-quantities
    - py-quantities-scidash@0.12.4.3
    #- py-ebrains-drive@0.4.0
    - py-ebrains-kg-core
    - py-pyld
    - py-fairgraph
    #- py-vf-client@0.6.3
    - py-hbp-archive@1.1.1
    - py-viziphant
    #- py-morphounit@1.0.4
    #- py-neurom@1.4.10
    #- py-morphio@3.1.1
    - py-hippounit@1.3.6
    - py-efel@4.0.4
    - py-hbp-neuromorphic-platform@0.10.1
    - py-torch~cuda~rocm~valgrind~mkldnn~mpi~gloo+tensorpipe~onnx_ml@1.9.1 ^protobuf@:3.17.999
    - py-torchvision
    - py-lfpy@2.2.6
    - py-elephant
    - py-frites
    - py-snudda
    - biobb-common
    - biobb-gromacs
    - apbs
    - py-pdb2pqr
    #- sda
    # demo for codejam12
    #- funniest1022
  concretizer:
    unify: true
